Bug 113037 - ciped crashes with kxchg: read(r): Interrupted system call error
Summary: ciped crashes with kxchg: read(r): Interrupted system call error
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cipe (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-07 17:48 UTC by Michael Fischer
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 20:39:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file that apparently fixes reported problem (801 bytes, patch)
2004-01-07 17:49 UTC, Michael Fischer
no flags Details | Diff

Description Michael Fischer 2004-01-07 17:48:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031210

Description of problem:
The cipe client daemon dies every few days after logging the message
"kxchg: read(r): Interrupted system call".  This began only after
upgrading from RedHat 9 to Fedora Core 1.

I patched the source code to retry the read() in case of an EINTR
error return or a successful return of fewer than the requested number
of bytes.  I have been using the patched code for a month now and it
seems to have fixed this problem.  I will attach the patch.




Version-Release number of selected component (if applicable):
cipe-1.4.5-18

How reproducible:
Sometimes

Steps to Reproduce:
1. Run cipe client under the 2.4.22 kernel.
2. Wait a few days until cipe daemon dies.
3.
    

Actual Results:  /var/log/messages contains lines like:
Nov 26 11:50:56 daphne ciped-cb[19769]: kxchg: read(r): Interrupted
system call
Nov 26 11:50:56 daphne ciped-cb[19769]: Interface stats  1780808   
7285   22    0    0    22
      0         0  1347332    6289    0    0    0     0       0          0
Nov 26 11:50:56 daphne ciped-cb[19769]: KX stats: rreq=1, req=643,
ind=640, indb=0, ack=640, ack
b=0, unknown=0
Nov 26 11:50:57 daphne ciped-cb[19769]: cipcb0: daemon exiting


Expected Results:  Should continue working.

Comment 1 Michael Fischer 2004-01-07 17:49:27 UTC
Created attachment 96807 [details]
Patch file that apparently fixes reported problem

Comment 2 Matthew Miller 2006-07-11 17:31:28 UTC
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.



Comment 3 John Thacker 2006-10-25 20:39:57 UTC
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.


Note You need to log in before you can comment on or make changes to this bug.